'use strict';

var postcss = require('postcss');

function toIndex(str, _ref) {
  var line = _ref.line,
      column = _ref.column;

  var regex = /\n/gm,
      index = 0;
  for (var i = 0; i < line - 1; i++) {
    index = regex.exec(str).index;
  }
  return index + column;
}

function extract(css, start, end) {
  return css.substring(toIndex(css, start) - 1, toIndex(css, end) + 1).trim();
}

module.exports = function (content) {
  var ast = postcss.parse(content);

  var rules = ast.nodes.map(function (n) {
    return extract(content, n.source.start, n.source.end);
  });
  var newSrc = 'var sheet = require(' + (this.query.modulePath || '"glam"') + ').sheet;\n    [' + rules.map(function (rule) {
    return JSON.stringify(rule);
  }).join(',\n') + '].forEach(function(rule){ sheet.insert(rule) });\n  ';
  return newSrc;
};