'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.extract = extract;
function extract(html) {
  // parse out ids from html
  // reconstruct css/rules/cache to pass

  var o = { ids: [], css: '', rules: [] };
  var regex = /vars\-([a-zA-Z0-9]+)/gm;
  var match = void 0,
      ids = {};
  while ((match = regex.exec(html)) !== null) {
    if (!ids[match[1] + '']) {
      ids[match[1] + ''] = true;
    }
  }

  o.rules = sheet.rules().filter(function (x) {
    var regex = /css\-([a-zA-Z0-9]+)/gm;
    var match = regex.exec(x.cssText);
    if (match && ids[match[1] + '']) {
      return true;
    }
    if (!match) {
      return true;
    }
    return false;
  });
  o.ids = Object.keys(inserted).filter(function (id) {
    return !!ids[id + ''] || styleSheet.registered[id].type === 'raw';
  });
  o.css = o.rules.map(function (x) {
    return x.cssText;
  }).join('');

  return o;
}